/*
Project: SG90 micro servo
Function: You can see the rocker arm of the servo rotate and stop at 90 degrees (15 degrees each time). And then it rotates in the opposite direction*/
/************************************************/
#include <Servo.h>      //include library code
const int servoPin = 6; //servo attached to digital pin 6 PWM PIN
Servo myservo;          //create servo object
/************************************************/
void setup()
{
  myservo.attach(servoPin);//attach the servo to servo object
  myservo.write(0);        //back to 0 degrees 
  delay(1000);             //set delay 1 second
}
void loop()
{  
  myservo.write(15);//goes to 15 degrees 
  delay(1000);//set delay 1 second
  myservo.write(30);//goes to 30 degrees 
  delay(1000);//set delay 1 second
  myservo.write(45);//goes to 45 degrees 
  delay(1000);//set delay 1 second
  myservo.write(60);//goes to 60 degrees 
  delay(1000);//set delay 1 second
  myservo.write(75);//goes to 75 degrees 
  delay(1000);//set delay 1 second
  myservo.write(90);//goes to 90 degrees
  delay(1000);//set delay 1 second
  myservo.write(75);//back to 75 degrees 
  delay(1000);//set delay 1 second
  myservo.write(60);//back to 60 degrees
  delay(1000);//set delay 1 second
  myservo.write(45);//back to 45 degrees
  delay(1000);//set delay 1 second
  myservo.write(30);//back to 30 degrees
  delay(1000);//set delay 1 second
  myservo.write(15);//back to 15 degrees 
  delay(1000);//set delay 1 second
  myservo.write(0);//back to 0 degrees 
  delay(1000);//set delay 1 second
}